Przeszukaj pomoc

Unikaj oszustw związanych z pomocą.Nigdy nie będziemy prosić Cię o dzwonienie na numer telefonu, wysyłanie SMS-ów ani o udostępnianie danych osobowych. Zgłoś podejrzaną aktywność, korzystając z opcji „Zgłoś nadużycie”.

Learn More

Why can't I download a FF update?

  • 4 odpowiedzi
  • 29 osób ma ten problem
  • 1 wyświetlenie
  • Ostatnia odpowiedź od Tidd

more options

I'm trying to download update 3.6.16, using the new way of getting updates. First I get a dialogue box saying an update is available & recommends I take it. There's two buttons :

"ASK LATER" or "UPDATE FIREFOX"

If I click to update, I get this window  :

Downloading update

Downloading the update...

\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\

Connecting to the update server...


And that's all that happens. It never connects, I never get the update. What's going wrong? The old way of getting updates always worked for me (the update downloaded in the background, and would install the next time I launched FF).

I'm trying to download update 3.6.16, using the new way of getting updates. First I get a dialogue box saying an update is available & recommends I take it. There's two buttons : "ASK LATER" or "UPDATE FIREFOX" If I click to update, I get this window : '''Downloading update''' Downloading the update... \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ Connecting to the update server... And that's all that happens. It never connects, I never get the update. What's going wrong? The old way of getting updates always worked for me (the update downloaded in the background, and would install the next time I launched FF).

Wybrane rozwiązanie

Wszystkie odpowiedzi (4)

more options

Download Firefox 4.0 from here: Download Firefox 4.0

Uninstall the existing installation choosing to keep your bookmarks, customizations etc. first.

P.S. Sorry it took so long to respond to your question.

more options

Can I actually run FF 4 on a PowerPC (G5) Mac? Will it run comfortably? I was actually trying to get the latest update for FF 3.

more options

Wybrane rozwiązanie

Firefox 3.6.16 is available here:
http://www.mozilla.com/en-US/firefox/all-older.html

more options

Thanks. I've downloaded 3.6.17 and despite a few problems initially am now running it.

I also tried to install FF 4, as the minimum requirements said "Mac OS 5" and "Recommended hardware" should be an Intel Mac. Unfortunately they don't seem to understand what the word "recommended" means. An Intel Mac is MANDATORY not merely "recommended". I hope someone at Mozilla changes the wording so that other people who actually understand the English language don't fall foul of this misleading statement.